using System;
using System.Collections.Generic;
using System.ComponentModel;
using DevExpress.Persistent.Base;

namespace EntityFirst.Module.BusinessObjects
{
    [VisibleInReports]
    [CreatableItem]
    public partial class TaxAuthority
    {
        #region Constructor
        public TaxAuthority()
        {
            //Employees = new List<Employee>();
        }
        #endregion


        #region PrivateFields

        #endregion


        #region NotMappedFields

        #endregion


        #region BrowsableFields
        public string taxaut_code { get; set; }
        #endregion


        #region NavigationProperties
        //public virtual ICollection<Employee> Employees { get; set; }
        #endregion


        #region NotBrowsableFields
        [Browsable(false)]
        public decimal taxaut_id { get; set; }

        [Browsable(false)]
        public string taxaut_descr { get; set; }

        [Browsable(false)]
        public string taxaut_addr { get; set; }

        [Browsable(false)]
        public string taxaut_zipcode { get; set; }

        [Browsable(false)]
        public string taxaut_phone_no1 { get; set; }

        [Browsable(false)]
        public string taxaut_phone_no2 { get; set; }

        [Browsable(false)]
        public string taxaut_fax_no { get; set; }

        [Browsable(false)]
        public string taxaut_email { get; set; }

        [Browsable(false)]
        public string taxaut_department1 { get; set; }

        [Browsable(false)]
        public string taxaut_department2 { get; set; }

        [Browsable(false)]
        public string taxaut_department3 { get; set; }

        [Browsable(false)]
        public string taxaut_department4 { get; set; }

        [Browsable(false)]
        public string taxaut_department5 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_response1 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_response2 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_response3 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_response4 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_response5 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_phone_no1 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_phone_no2 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_phone_no3 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_phone_no4 { get; set; }

        [Browsable(false)]
        public string taxaut_dep_phone_no5 { get; set; }

        [Browsable(false)]
        public Nullable<decimal> user_id_creator { get; set; }

        [Browsable(false)]
        public System.DateTime taxaut_update_date { get; set; }

        [Browsable(false)]
        public System.DateTime taxaut_creation_date { get; set; }

        [Browsable(false)]
        public Nullable<decimal> user_id_modif { get; set; }
        #endregion 
    }
}
